Name: pinentry
Version: 0.9.7
Release: %mkrel 1
Summary: Collection of simple PIN or passphrase entry dialogs
Source0: ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.xz
Source2: pinentry-wrapper 
License: GPLv2+
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: http://www.gnupg.org/
Requires(post): info-install
Requires(preun):info-install
BuildRequires: libgtk+2.0-devel
BuildRequires: libcap-devel
BuildRequires: ncurses-devel
BuildRequires: qt4-devel
BuildRequires: gettext-devel
BuildRequires: libpthread-stubs
BuildRequires: libassuan-devel
BuildRequires: libgpg-error-devel
BuildRequires: libsecret-devel
Obsoletes:     %name-curses < 0.8.0-2

%description 
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

%pre
%{_sbindir}/update-alternatives --remove pinentry %{_bindir}/pinentry-curses ||:
%{_sbindir}/update-alternatives --remove pinentry %{_bindir}/pinentry-gtk ||:
%{_sbindir}/update-alternatives --remove pinentry %{_bindir}/pinentry-qt ||:
%{_sbindir}/update-alternatives --remove pinentry %{_bindir}/pinentry-qt4 ||:

%files 
%defattr(-,root,root)
%doc README TODO ChangeLog NEWS AUTHORS THANKS
%{_bindir}/pinentry
%{_bindir}/pinentry-curses
%{_bindir}/pinentry-emacs
%{_infodir}/*.info*

#-----------------------------------------------------------------------------------------

%package gtk2
Summary: GTK+ interface of pinentry
Group: System/Kernel and hardware
Provides: %{name}-gui = %{version}-%{release}
Requires: %{name} = %{version}-%{release}
Obsoletes: pinentry-gtk

%description gtk2
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides GTK+ interface of the dialog.

%files gtk2
%defattr(-,root,root)
%_bindir/pinentry-gtk-2

#-----------------------------------------------------------------------------------------

%package qt4
Summary: QT4 interface of pinentry
Group: System/Kernel and hardware
Provides: %{name}-gui = %{version}-%{release}
Requires: %{name} = %{version}-%{release}
Obsoletes: %name-qt < 0.7.6-3

%description qt4
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides QT4 interface of the dialog.

%files qt4
%defattr(-,root,root)
%{_bindir}/pinentry-qt*

#-----------------------------------------------------------------------------------------

%prep
%setup -q 

%build

export LDFLAGS="-ltinfo" 

sed -i 's:../../../s/pinentry/qt4/::' qt4/*.moc &&

%configure2_5x \
	--enable-pinentry-qt4 \
	--enable-pinentry-gtk2 \
	--enable-pinentry-qt \
	--enable-pinentry-emacs \
	--enable-libsecret \
	--disable-rpath \
	qt_dirs=%{_libdir}/qt4

%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -p -m755 -D %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/pinentry 

pushd $RPM_BUILD_ROOT%{_bindir}
ln -s pinentry-qt pinentry-qt4
popd

%clean
rm -rf %{buildroot}




%changelog
* Sat Mar 05 2016 ghostbunny <ghostbunny at gmx dot de> 0.9.7-1pclos2016
- 0.9.7

* Sat Nov 07 2015 ghostbunny <ghostbunny at gmx dot de> 0.9.6-1pclos2015
- 0.9.6
- enable password caching by adding libsecret dep

* Mon Jul 13 2015 ghostbunny <ghostbunny at gmx dot de> 0.9.5-1pclos2015
- 0.9.5
- drop patch it is applied in source
- add new BRs libassuan-devel and libgpg-error-devel

* Tue May 12 2015 ghostbunny <ghostbunny at gmx dot de> 0.9.2-1pclos2015
- 0.9.2
- add missig BR libpthread-stubs

* Sun Mar 22 2015 ghostbunny <ghostbunny at gmx dot de> 0.9.1-1pclos2015
- 0.9.1
- add qt_dirs var to configure

* Sat Nov 08 2014 bb <bb> 0.9.0-1pclos2014
- update

* Sun Jul 07 2013 ghostbunny <ghostbunny at gmx dot de> 0.8.3-1pclos2013
- 0.8.3
- removed patch0/1/2 it is applied to source
